Bug 735627 - [lvm] vg metadata size is reseted to 1m in case it being extended with additional pv with no allocated size
Summary: [lvm] vg metadata size is reseted to 1m in case it being extended with additi...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2
Version: 6.3
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: 6.3
Assignee: LVM and device-mapper development team
QA Contact: Corey Marthaler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-04 11:01 UTC by Haim
Modified: 2014-01-13 00:50 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-05 08:46:03 UTC


Attachments (Terms of Use)

Description Haim 2011-09-04 11:01:47 UTC
Description of problem:

- create pv with metadata size of 128m 
- create vg from that pv 

check metadata size = 129m 

- create additional pv without any allocation of metadata size 
- extend vg from step 2 with that pv 

check vg metadata size = 1020k

note: this doesn't happen when using "--pvmetadatacopies" "0"

reproducible - always

Comment 2 Peter Rajnoha 2011-09-05 08:46:03 UTC
(In reply to comment #0)
> Description of problem:
> 
> - create pv with metadata size of 128m 
> - create vg from that pv 
> 
> check metadata size = 129m 
> 
> - create additional pv without any allocation of metadata size 
> - extend vg from step 2 with that pv 
> 
> check vg metadata size = 1020k
> 

The smallest metadata area size is considered as the "VG metadata size" reported by the vgs command. You should be using pvs command instead to see the metadata size of each PV independently.

> note: this doesn't happen when using "--pvmetadatacopies" "0"
> 

Yes, in this case, this is fine - 0 sized metadata area does not count in at all.

So I'm closing this bug report...

Comment 3 Peter Rajnoha 2011-09-05 11:21:30 UTC
(Just a note: if using "--metadatasize 0" in pvcreate command, this will fallback to default value then, alignment then makes for the 1020k we see in the output)


Note You need to log in before you can comment on or make changes to this bug.